#!/usr/bin/python
# coding=utf-8
# -*- encoding: utf-8 -*-

#  -------------------------------------------------------------------
# This file is part of Rule2Phrase.
#
# Rule2Phrase is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Rule2Phrase is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rule2Phrase.  If not, see <http://www.gnu.org/licenses/>.
# -------------------------------------------------------------------

import getopt,sys;

try:
	opts, args = getopt.getopt(sys.argv[1:], "f:", ["field="])
except getopt.GetoptError, err:
	# print help information and exit:
	print str(err) # will print something like "option -a not recognized"
	usage()
	sys.exit(2)
field=None
for o, a in opts:
	if o in ("-f","--field"):
		field=a

if field:
	fpieces=field.split(u",")
	fields=[]
	for p in fpieces:
		fields.append(int(p))
	for line in sys.stdin :
		line=line.decode('utf-8').strip()
		pieces=line.split(u"|||")
		for i in range(len(fields)):
			field=fields[i]
			if field <=len(pieces):
				sys.stdout.write(pieces[field-1].strip().encode('utf-8'))
			else:
				print >> sys.stderr, "Line '"+line.encode('utf-8')+"' does not have enough fields ("+str(field)+")"
			if i<len(fields)-1:
				sys.stdout.write(" ||| ")
		print
		
