#!/usr/bin/python
# coding=utf-8
# -*- encoding: utf-8 -*-

#  -------------------------------------------------------------------
# This file is part of Rule2Phrase.
#
# Rule2Phrase is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Rule2Phrase is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rule2Phrase.  If not, see <http://www.gnu.org/licenses/>.
# -------------------------------------------------------------------

import re, sys, string;

endingsToReplace=dict()
endingsToReplace[r"{transfer-rule sent --\^.<sent>\$ -- {start-chunk \^0-.<sent>\$ end-chunk} transfer-rule}"]=u""
endingsToReplace[r"{transfer-rule porello sent --\^por ello<cnjadv>\$ \^.<sent>\$ -- {start-chunk \^for<pr>\$ end-chunk}{start-chunk \^that<prn><tn><3><4>\$ end-chunk}{start-chunk \^1-.<sent>\$ end-chunk} transfer-rule}"]=r"{transfer-rule porello --\^por ello<cnjadv>\$  -- {start-chunk \^for<pr>\$ end-chunk}{start-chunk \^that<prn><tn><3><4>\$ end-chunk} transfer-rule}"

for line in sys.stdin:
	line=line.decode('utf8').strip()
	for ending in endingsToReplace:
		if line.endswith(ending):
			line=line[:-len(ending)]+endingsToReplace[ending]
			break
	print line.encode('utf-8')

